require("AnAL")
require("tracker")
require("ball")
local g=love.graphics
local k=love.keyboard.isDown
local a=love.audio
local color={255,0,0,255}

p={}
function p:load()
	--external lib
	img:load()
	
	--player
	l={}
	l.x=100
	l.y=300
	l.w=32
	l.h=32
	l.direction="stand"	
	run=200
end

function p:update(dt)
	--external lib
	img:update(dt)
	--DPAD
	if k("d") then l.direction="right"; l.x = l.x + run * dt end
	if k("a") then l.direction="left" ; l.x = l.x - run * dt end	
	
	if k("w") then l.direction="up"   ; l.y = l.y - run * dt end
	if k("s") then l.direction="down" ; l.y = l.y + run * dt end		
end

function p:draw()
	--external lib
	img:draw()
	track:draw()
	 
	--cell
	g.setColor(color)
	g.rectangle("line", l.x,l.y ,l.w, l.h)	
end

function p:mousepressed(x, y, button)	
end

function p:mousereleased(x, y, button)	
end

function p:keypressed( key, unicode )
	--external lib
	img:keypressed( key, unicode )
end

function p:keyreleased( key, unicode )
	--external lib
	img:keyreleased( key, unicode )

	--stop motion!
    if (key == "d") or (key == "a") or (key == "s") or (key == "w")  then  
       	l.direction="stand"		
    end	
end

function p:focus(f)	
end

function p:quit()
end